routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [App\Http\Controllers\RestaurantController::class, 'index'])->name('home');
Route::resources([
    'restaurants' => App\Http\Controllers\RestaurantController::class,
    'foods' => App\Http\Controllers\FoodController::class,
]);

Route::post('items', [App\Http\Controllers\ItemController::class, 'store'])->name('items.store');
Route::put('items/{item}', [App\Http\Controllers\ItemController::class, 'update'])->name('items.update');

Route::get('items/orders', [App\Http\Controllers\ItemController::class, 'createOrder'])->name('items.createOrder')->middleware('auth');

Route::post('orders', [App\Http\Controllers\ItemController::class, 'storeOrder'])->name('items.storeOrder')->middleware('auth');
Route::delete('items/{item_id}', [App\Http\Controllers\ItemController::class, 'destroy'])->name('items.destroy')->middleware('auth');

Route::prefix('admin')->name('admin.')->middleware(['auth', 'is-admin'])->group(function(){
    Route::get('', [App\Http\Controllers\HomeController::class, 'dashboard'])->name('dashboard');
    Route::resource('users', App\Http\Controllers\Admin\UserController::class);
    Route::resource('products', App\Http\Controllers\Admin\FoodController::class);
});

Auth::routes();

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

/**
 * @method static find($id)
 * @method static paginate(int $int)
 */
class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var string[]
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
        'is_admin' => 'boolean',
    ];

    /**
     * @return HasMany
     */
    public function items(): HasMany
    {
        return $this->hasMany(Item::class)->where('is_valid', true);
    }

    /**
     * @return HasMany
     */
    public function orders(): HasMany
    {
        return $this->hasMany(Order::class);
    }

    /**
     * @return float
     */
    public function currentOrderTotalPrice(): float
    {
        $total_price = 0;
        if(session('products')){
            foreach(session('products') as $item) {
                $total_price += $item['price'] * $item['count'];
            }
        };
        return $total_price;
    }
}

resources/views/admin/users/index.blade.php
@extends('layouts.app')

@section('content')
    <div class="row">
        <div class="col">
            <h3>Users</h3>
        </div>
    </div>
    <div class="row">
        <div class="col">
            <table class="table">
                <thead class="thead-light">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Name</th>
                    <th scope="col">Email</th>
                    <th scope="col">Registration date</th>
                    <th scope="col">Action</th>
                </tr>
                </thead>
                <tbody>
                @foreach($users as $user)
                    <tr>
                        <th scope="row">{{$loop->iteration}}</th>
                        <td>{{$user->name}}</td>
                        <td>{{$user->email}}</td>
                        <td>{{$user->created_at->format('Y-m-d')}}</td>
                        <td>
                            @if($user->approved)
                                <form action="{{route('admin.users.update', compact('user'))}}" method="post">
                                    @csrf
                                    @method('put')
                                    <button type="submit" class="btn btn-sm btn-outline-success">Deactivate</button>
                                </form>
                            @else
                                <form action="{{route('admin.users.update', compact('user'))}}" method="post">
                                    @csrf
                                    @method('put')
                                    <button type="submit" class="btn btn-sm btn-outline-primary">Activated</button>
                                </form>
                            @endif
                        </td>
                    </tr>
                @endforeach
                </tbody>
            </table>
        </div>
    </div>
@endsection